<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RemainingDrivingRestingTimesSelection StructType
 * @subpackage Structs
 */
class RemainingDrivingRestingTimesSelection extends AbstractStructBase
{
    /**
     * The Edited_Data
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $Edited_Data;
    /**
     * The Original_Data
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $Original_Data;
    /**
     * The OnBoardComputer_Data
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $OnBoardComputer_Data;
    /**
     * The Tacho_Data
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $Tacho_Data;
    /**
     * The Drivers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfIdentifier
     */
    public $Drivers;
    /**
     * Constructor method for RemainingDrivingRestingTimesSelection
     * @uses RemainingDrivingRestingTimesSelection::setEdited_Data()
     * @uses RemainingDrivingRestingTimesSelection::setOriginal_Data()
     * @uses RemainingDrivingRestingTimesSelection::setOnBoardComputer_Data()
     * @uses RemainingDrivingRestingTimesSelection::setTacho_Data()
     * @uses RemainingDrivingRestingTimesSelection::setDrivers()
     * @param bool $edited_Data
     * @param bool $original_Data
     * @param bool $onBoardComputer_Data
     * @param bool $tacho_Data
     * @param \ArrayType\ArrayOfIdentifier $drivers
     */
    public function __construct($edited_Data = null, $original_Data = null, $onBoardComputer_Data = null, $tacho_Data = null, \ArrayType\ArrayOfIdentifier $drivers = null)
    {
        $this
            ->setEdited_Data($edited_Data)
            ->setOriginal_Data($original_Data)
            ->setOnBoardComputer_Data($onBoardComputer_Data)
            ->setTacho_Data($tacho_Data)
            ->setDrivers($drivers);
    }
    /**
     * Get Edited_Data value
     * @return bool
     */
    public function getEdited_Data()
    {
        return $this->Edited_Data;
    }
    /**
     * Set Edited_Data value
     * @param bool $edited_Data
     * @return \StructType\RemainingDrivingRestingTimesSelection
     */
    public function setEdited_Data($edited_Data = null)
    {
        // validation for constraint: boolean
        if (!is_null($edited_Data) && !is_bool($edited_Data)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($edited_Data, true), gettype($edited_Data)), __LINE__);
        }
        $this->Edited_Data = $edited_Data;
        return $this;
    }
    /**
     * Get Original_Data value
     * @return bool
     */
    public function getOriginal_Data()
    {
        return $this->Original_Data;
    }
    /**
     * Set Original_Data value
     * @param bool $original_Data
     * @return \StructType\RemainingDrivingRestingTimesSelection
     */
    public function setOriginal_Data($original_Data = null)
    {
        // validation for constraint: boolean
        if (!is_null($original_Data) && !is_bool($original_Data)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($original_Data, true), gettype($original_Data)), __LINE__);
        }
        $this->Original_Data = $original_Data;
        return $this;
    }
    /**
     * Get OnBoardComputer_Data value
     * @return bool
     */
    public function getOnBoardComputer_Data()
    {
        return $this->OnBoardComputer_Data;
    }
    /**
     * Set OnBoardComputer_Data value
     * @param bool $onBoardComputer_Data
     * @return \StructType\RemainingDrivingRestingTimesSelection
     */
    public function setOnBoardComputer_Data($onBoardComputer_Data = null)
    {
        // validation for constraint: boolean
        if (!is_null($onBoardComputer_Data) && !is_bool($onBoardComputer_Data)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($onBoardComputer_Data, true), gettype($onBoardComputer_Data)), __LINE__);
        }
        $this->OnBoardComputer_Data = $onBoardComputer_Data;
        return $this;
    }
    /**
     * Get Tacho_Data value
     * @return bool
     */
    public function getTacho_Data()
    {
        return $this->Tacho_Data;
    }
    /**
     * Set Tacho_Data value
     * @param bool $tacho_Data
     * @return \StructType\RemainingDrivingRestingTimesSelection
     */
    public function setTacho_Data($tacho_Data = null)
    {
        // validation for constraint: boolean
        if (!is_null($tacho_Data) && !is_bool($tacho_Data)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($tacho_Data, true), gettype($tacho_Data)), __LINE__);
        }
        $this->Tacho_Data = $tacho_Data;
        return $this;
    }
    /**
     * Get Drivers value
     * @return \ArrayType\ArrayOfIdentifier|null
     */
    public function getDrivers()
    {
        return $this->Drivers;
    }
    /**
     * Set Drivers value
     * @param \ArrayType\ArrayOfIdentifier $drivers
     * @return \StructType\RemainingDrivingRestingTimesSelection
     */
    public function setDrivers(\ArrayType\ArrayOfIdentifier $drivers = null)
    {
        $this->Drivers = $drivers;
        return $this;
    }
}
